PHP Manual
Prev |  | Next

# HttpRequest::__construct

(no version information, might be only in CVS)

HttpRequest::__construct -- HttpRequest constructor

## Description

publicvoid HttpRequest::__construct ( [string url [, int request_method = HTTP_METH_GET [, array options]]] )

Instantiate a new HttpRequest object.

## Parameters

url

  the target request url

request_method

  the request method to use

options

  an associative array with request options

## Errors/Exceptions

Throws HttpException.

Prev | Home | Next
HttpRequest::clearHistory | Up | HttpRequest::enableCookies